Summary: X LessTif CD Player
Name: xltcdplay
Version: 1.7p1
Release: 2
Source0: ftp://sunsite.unc.edu/pub/Linux/apps/sound/cdrom/X/xltcdplay1.7.tar.gz
Source1: ftp://sunsite.unc.edu/pub/Linux/apps/sound/cdrom/X/xltcdplay-1.7.patch1.tar.gz
Patch: xltcdplay-1.7.patch
Patch1: xltcdplay-1.7.non-i486.patch
Requires: lesstif >= 0.77
Copyright: GPL
URL: http://users.ica.net/wwg/other.html
Packager: Michael J. Long <mjlong@mindspring.com>
Group: Applications/Sound
Prefix: /usr/local
BuildRoot: /tmp/xltcdplay-root
Vendor: Michael J. Long <mjlong@mindspring.com>
%description
This is a LessTif (or MOTIF) X based CD audio control
panel. Features include (1) Direct track selection buttons
up to track 18, (2) spin buttons for tracks higher than
18, (3) a realtime track display window (track number,
minutes and seconds played so far), (4) control buttons
EJECT, STOP, PAUSE, << (fast back), >> (fast forward), and
PLAY, (5) Track progress graphical indicator, (6) general
CD info including audio and data tracks, (7) Volume control
scroll bars (left + right), (8) error dialog box toggle
(see package for more info on this feature). This control
panel is small enough to keep on your desk top, is very
functional and easy to use. The executable is only about
42kb in size (compiled for shared library use).

%prep
%setup -T -n ${RPM_PACKAGE_NAME}.1.7 -b 0
%setup -T -D -n ${RPM_PACKAGE_NAME}.1.7 -a 1
./ApplyPatch1
%patch -P 0 -p1
%ifnarch i486 i586 i686 i786 i886 i986
%patch -P 1 -p1
%endif

%build
export RPM_BUILD_ROOT
make

%install
rm -fr ${RPM_BUILD_ROOT}
install -d -m755 ${RPM_BUILD_ROOT}/usr/local/bin
export RPM_BUILD_ROOT
make install

%clean
rm -fr ${RPM_BUILD_ROOT}

%files
%attr ( -, root, root ) %doc README README.VOLUME COPYING
%attr ( -, root, root ) /usr/local/bin/xltcdplay
